Issue1758319

classification
Title: bool should not be subclassable
Type: Severity: normal
Components: Core Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: cgroves, pjenvey
Priority: normal Keywords: test failure causes

Created on 2007-07-22.04:44:14 by cgroves, last changed 2008-11-24.02:48:51 by pjenvey.

Messages
msg1774 (view) Author: Charlie Groves (cgroves) Date: 2007-07-22.04:44:14
bool should not be subclassable, but it is and test_bool isn't happy about it.
msg1775 (view) Author: Charlie Groves (cgroves) Date: 2007-08-06.00:05:06
See http://wiki.python.org/jython/JythonDeveloperGuide/VersionTransitionTestExclusions for how to get the test running again to fix this.
msg3215 (view) Author: Philip Jenvey (pjenvey) Date: 2008-06-02.03:11:35
a number of classes besides bool should not be subclassable

we should add a Py_TPFLAGS_BASETYPE flag to all types' __flags__ (allowing 
them to be subclassable). Then allow passing an optional isBaseType=false 
argument to @ExposedType that would disable the BASETYPE flag
msg3281 (view) Author: Philip Jenvey (pjenvey) Date: 2008-06-14.00:59:26
this preventing test_descr.errors from passing
msg3841 (view) Author: Philip Jenvey (pjenvey) Date: 2008-11-24.02:48:51
fixed in r5626, r5627
History
Date User Action Args
2008-11-24 02:48:51pjenveysetstatus: open -> closed
resolution: fixed
messages: + msg3841
components: + Core, - None
2008-06-14 00:59:27pjenveysetmessages: + msg3281
2008-06-02 03:11:36pjenveysetnosy: + pjenvey
messages: + msg3215
2007-07-22 04:44:14cgrovescreate